Contents

# DefLng Statement

Postavlja podrazumijevani tip varijable prema rasponu znakova, ako nije određen niti znak niti ključna riječ za određivanje tipa.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameters:

char: Letter prefix that specifies default data type for variables.

char-char: Letter range prefixes that specify default data type for variables.

### Example:

        ' Prefix definitions for variable types:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefLng
          xCount=123456789 ' xCount is an implicit long integer variable
          Print VarType(Yes), zinc, Typename(Max) ' Result is: 3 0 Long
      End Sub